#!/usr/bin/env python
'''
File: errorhandlers.py
Author: William McLendon & Narayan Desai
Revision: $Revision$
Description:
  Error handling routines and exceptions for APITEST
'''
from exceptions import Exception

class TestSetupError(Exception):
    pass

class TestDescriptionError(Exception):
    pass

class TestFailure(Exception):
    def __init__(self,name,nFail):
        self.name=name
        self.onMismatch=onMismatch
        
    def __str__(self):
        return `self.name` + " failure"

class TestError(Exception):
    def __init__(self, _message):
        self.message = _message
    def __str__(self):
        return `self.message`



# EOF
